---
title: "Get regulatory actions for a specific NPN"
url: "https://developer.agentsync.io/apis/producer-sync-api/versions/bdfe7300-4ebb-41e2-95d6-66cc697404bc/operations/getRegulatoryActionsByNpn"
---

> Full API specification: https://developer.agentsync.io/apis/producer-sync-api/versions/bdfe7300-4ebb-41e2-95d6-66cc697404bc.md

# Get regulatory actions for a specific NPN

`GET` `/v2/entities/{npn}/regulatoryActions`

Operation ID: `getRegulatoryActionsByNpn`

Returns all regulatory actions associated with a specific NPN. If you're not already subscribed, this request will automatically subscribe you to the NPN.

## Path parameters

- `npn` (string, required) - National Producer Number (npn) of the data to return

## Query parameters

- `states` (array, optional) - comma separated list of states abbreviations (must be 2 characters) - this will filter on the `forState` field
- `updatedSince` (string, date, optional) - limits results to those that have an updated date equivalent to or after to the date provided (YYYY-MM-DD) - this will filter on the `updatedAt` field
- `includeDeleted` (boolean, optional) - specifiy whether or not deleted records should be included in the response - this will filter on the `niprDeleted` field
- `size` (integer, int64, optional) - the number of objects on the page (min = 1 / max = 1,000)
- `continuationToken` (string, optional) - Token for fetching the next page of results

## Responses

- `200` - Success
- `400` - Bad Request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Not Found
- `405` - Method Not Allowed
- `429` - Too Many Requests
- `500` - Internal Server Error
- `504` - Gateway Timeout

## OpenAPI definition

```yaml
openapi: 3.1.1
info:
  title: ProducerSync API
  version: v2.85.1
servers:
  - url: https://api.sandbox.agentsync.io
    description: Sandbox
paths:
  /v2/entities/{npn}/regulatoryActions:
    get:
      tags:
        - Producer Regulatory Actions
      operationId: getRegulatoryActionsByNpn
      summary: Get regulatory actions for a specific NPN
      description: >
        Returns all regulatory actions associated with a specific NPN. If you're
        not already subscribed, this request will automatically subscribe you to
        the NPN.
      parameters:
        - $ref: "#/components/parameters/npnPathParam"
        - $ref: "#/components/parameters/statesParam"
        - $ref: "#/components/parameters/updatedSinceParam"
        - $ref: "#/components/parameters/includeDeletedParam"
        - $ref: "#/components/parameters/sizeParam"
        - $ref: "#/components/parameters/continuationTokenParam"
      responses:
        "200":
          description: Success
          content:
            application/hal+json:
              schema:
                type: object
                properties:
                  embedded:
                    type: object
                    properties:
                      regulatoryActions:
                        type: array
                        items:
                          $ref: "#/components/schemas/RegulatoryActionsV2"
                  links:
                    $ref: "#/components/schemas/LinksV2"
          headers:
            ratelimit-limit:
              $ref: "#/components/headers/ratelimit-limit"
            ratelimit-remaining:
              $ref: "#/components/headers/ratelimit-remaining"
            ratelimit-reset:
              $ref: "#/components/headers/ratelimit-reset"
        "400":
          $ref: "#/components/responses/400BadRequest"
        "401":
          $ref: "#/components/responses/401Unauthorized"
        "403":
          $ref: "#/components/responses/403Forbidden"
        "404":
          $ref: "#/components/responses/404NotFound"
        "405":
          $ref: "#/components/responses/405MethodNotAllowed"
        "429":
          $ref: "#/components/responses/429TooManyRequests"
        "500":
          $ref: "#/components/responses/500InternalServerError"
        "504":
          $ref: "#/components/responses/504GatewayTimeout"
components:
  parameters:
    npnPathParam:
      name: npn
      in: path
      description: National Producer Number (npn) of the data to return
      required: true
      schema:
        type: string
        example: "123456789"
    statesParam:
      name: states
      in: query
      description: comma separated list of states abbreviations (must be 2 characters)
        - this will filter on the `forState` field
      required: false
      schema:
        type: array
        items:
          type: string
      style: form
      explode: false
      example:
        - MO
        - CA
        - CO
    updatedSinceParam:
      name: updatedSince
      in: query
      description: limits results to those that have an updated date equivalent to or
        after to the date provided (YYYY-MM-DD) - this will filter on the
        `updatedAt` field
      required: false
      schema:
        type: string
        format: date
        example: 2024-10-15
    includeDeletedParam:
      name: includeDeleted
      in: query
      description: specifiy whether or not deleted records should be included in the
        response - this will filter on the `niprDeleted` field
      required: false
      schema:
        type: boolean
        default: true
    sizeParam:
      name: size
      in: query
      description: the number of objects on the page (min = 1 / max = 1,000)
      required: false
      schema:
        type: integer
        format: int64
        default: 250
        minimum: 1
        maximum: 1000
    continuationTokenParam:
      name: continuationToken
      in: query
      description: Token for fetching the next page of results
      required: false
      schema:
        type: string
  schemas:
    RegulatoryActionsV2:
      allOf:
        - $ref: "#/components/schemas/RegulatoryActionsBaseResponse"
        - type: object
          properties:
            regulatoryActionValues:
              $ref: "#/components/schemas/RegulatoryActionValuesV2"
            niprDeleted:
              type: boolean
              example: false
              description: Indicates if the regulatory actions was marked deleted by NIPR.
            links:
              $ref: "#/components/schemas/SelfLink"
    LinksV2:
      type: object
      properties:
        next:
          type: object
          properties:
            href:
              type: string
              example: https://access.sandbox.agentsync.io/v2/{endpoint}?continuationToken=1282784
        self:
          type: object
          properties:
            href:
              type: string
              example: https://access.sandbox.agentsync.io/v2/{endpoint}?continuationToken=0
    RegulatoryActionsBaseResponse:
      type: object
      description: Common regulatory actions fields shared across versions.
      properties:
        id:
          type: integer
          format: int64
          example: 1234567
          description: Unique identifier for the regulatory actions.
        npn:
          type: string
          example: "18551108"
          description: National Producer Number associated with the regulatory actions.
        transactionId:
          type: string
          format: uuid
          example: ae51f10b-8b5e-40ba-98a9-8f860392b344
        forState:
          type: string
          example: AL
          minLength: 2
          maxLength: 2
          description: State where the regulatory action applies.
        actionId:
          type: string
          example: "13537078"
          description: Identification of the regulatory action.
        actionDate:
          type: string
          format: date
          example: 2017-07-10
          description: The date the regulatory action occurred.
        effectiveDate:
          type: string
          format: date
          example: 2017-07-10
          description: The date the regulatory action is effective
        enterDate:
          type: string
          format: date
          example: 2018-02-08
          description: The date the regulatory action was entered in the jurisdiction
            system.
        createdAt:
          type: string
          format: date
          example: 2021-04-04
          description: Date of the creation of this record in AgentSync.
        updatedAt:
          type: string
          format: date
          example: 2024-12-02
          description: Date of the most recent update to this record in AgentSync.
        penaltyFineForfeiture:
          type: integer
          example: 150
          description: Amount in USD of fine, if applicable.
        lengthOfOrder:
          type: integer
          example: 30
          description: The sanction period.
    RegulatoryActionValuesV2:
      type: object
      properties:
        regulatoryActionValues:
          type: array
          items:
            allOf:
              - $ref: "#/components/schemas/RegulatoryActionValuesBase"
              - type: object
                properties:
                  metadata:
                    type: object
                    properties:
                      last_nipr_alert_update:
                        type: string
                        format: date-time
                        example: 2024-01-20T10:54:35.30506+00:00
                      last_nipr_entity_update:
                        type: string
                        format: date-time
                        example: 2024-04-16T22:58:09.398811+00:00
                  deleted:
                    type: boolean
                    example: true
    SelfLink:
      type: object
      properties:
        self:
          type: object
          properties:
            href:
              type: string
              example: https://api.sandbox.agentsync.io/v1/{endpoint}/{id}
    RegulatoryActionValuesBase:
      type: object
      description: All regulatory actions should have three associated child objects -
        disposition, origin, and reason
      properties:
        id:
          type: integer
          example: 123
          description: Unique identifier for the regulatory action value.
        regulatoryActionId:
          type: integer
          example: 1234567
          description: Unique identifier for the related regulatory action.
        transactionId:
          type: string
          format: uuid
          example: ae51f10b-8b5e-40ba-98a9-8f860392b344
        type:
          type: string
          enum:
            - REASON
            - ORIGIN
            - DISPOSITION
          example: DISPOSITION
          description: One of the following values is expected per object - `REASON`,
            `ORIGIN`, `DISPOSITION`
        value:
          type: string
          example: Cease And Desist
          description: Description of the related regulatory action
        createdAt:
          type: string
          format: date
          example: 2021-03-23
          description: Date of the creation of this record in AgentSync.
        updatedAt:
          type: string
          format: date
          example: 2024-04-16
          description: Date of the most recent update to this record in AgentSync
  headers:
    ratelimit-limit:
      description: Maximum number of requests allowed in the current window
      schema:
        type: integer
    ratelimit-remaining:
      description: Number of requests remaining in the current window
      schema:
        type: integer
    ratelimit-reset:
      description: Time when the rate limit will reset
      schema:
        type: integer
  responses:
    400BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1742929112
              status:
                type: integer
                example: 400
              error:
                type: string
                example: Bad Request
              message:
                type: string
                example: Invalid parameter values provided - {parameter}:[{invalid values}]
              path:
                type: string
                example: "{endpoint_path}"
    401Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthorized
    403Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1742935636
              status:
                type: integer
                example: 403
              path:
                type: string
                example: "{requested endpoint}"
              error:
                type: string
                example: Forbidden
    404NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1742929112
              status:
                type: integer
                example: 404
              error:
                type: string
                example: Not Found
              message:
                type: string
                example: Error message describing what was not found
              path:
                type: string
                example: "{requested endpoint}"
    405MethodNotAllowed:
      description: Method Not Allowed
      content:
        application/json:
          schema:
            type: object
            properties:
              type:
                type: string
                example: about:blank
              status:
                type: integer
                example: 405
              detail:
                type: string
                example: Method 'PUT' is not supported.
              instance:
                type: string
                example: "{requested endpoint}"
    429TooManyRequests:
      description: Too Many Requests
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: API rate limit exceeded
    500InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1613510729601
              status:
                type: integer
                example: 500
              error:
                type: string
                example: Internal Server Error
              message:
                type: string
                example: Error message describing why this was a server error.
              path:
                type: string
                example: "{requested endpoint}"
    504GatewayTimeout:
      description: Gateway Timeout
```
